import request from '@/utils/request'

// 查询装备调试设计记录列表
export function listDesignrecord(query) {
  return request({
    url: '/buyer/designrecord/list',
    method: 'get',
    params: query
  })
}

// 查询装备调试设计记录详细
export function getDesignrecord(id) {
  return request({
    url: '/buyer/designrecord/' + id,
    method: 'get'
  })
}

// 新增装备调试设计记录
export function addDesignrecord(data) {
  return request({
    url: '/buyer/designrecord',
    method: 'post',
    data: data
  })
}

// 修改装备调试设计记录
export function updateDesignrecord(data) {
  return request({
    url: '/buyer/designrecord',
    method: 'put',
    data: data
  })
}

// 删除装备调试设计记录
export function delDesignrecord(id) {
  return request({
    url: '/buyer/designrecord/' + id,
    method: 'delete'
  })
}

// 统计装备调试设计记录列表
export function designRecordStatist(params) {
  return request({
    url: '/buyer/designrecord/statist',
    method: 'get',
    params
  })
}
